#
# spec file for package yast2-vpn
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-vpn
Version:        3.1.5
Release:        3.2
Url:            https://github.com/yast/yast-vpn
Source0:        %{name}-%{version}.tar.bz2
Summary:        A YaST module for configuring VPN gateway and clients
License:        GPL-2.0
Group:          System/YaST
BuildArch:      noarch
Requires:       yast2
Requires:       yast2-ruby-bindings
BuildRequires:  yast2
BuildRequires:  yast2-devtools
BuildRequires:  yast2-ruby-bindings
BuildRequires:  rubygem(rspec)
BuildRequires:  rubygem(yast-rake)

PreReq:         %fillup_prereq

%description
A YaST module for managing VPN gateway and client connections to secure site-to-site communication via IPSec VPN.

%prep
%setup -q

%check
rake test:unit

%build

%install
rake install DESTDIR="%{buildroot}"

%files
%defattr(-,root,root)
%doc %yast_docdir
%yast_desktopdir
%yast_moduledir
%yast_clientdir
%yast_schemadir
%yast_libdir
%yast_scrconfdir

%changelog
* Tue Oct 18 2016 hguo@suse.com
- The fix of bsc#1002744 was slightly faulty and causes VPN to
  continuelly overwrite user's firewall script, it also introduced
  a regression making it unable to turn off TCP MSS reduction.
  This update 3.1.5 addresses both issues.
* Mon Oct 10 2016 hguo@suse.com
- Instead of creating its own firewall custom-rules, put firewall
  commands into user's own custom-rules file.
  Bump version to 3.1.4 for bsc#1002744.
* Mon Oct  3 2016 igonzalezsosa@suse.com
- Fix translation in the connection status dialog (bsc#994349)
* Thu Mar 24 2016 hguo@suse.com
- Fix several important issues:
  * Properly reduce TCP MSS instead of setting it to a fixed value.
  * Force UDP encapsulation in case of IPv4 gateway.
  * Fix two cases of incorrect SUSEfirewall and iptables configuration.
  Further implements fate#320616.
* Tue Oct 27 2015 hguo@suse.com
- Fix build failure on Leap.
* Mon Sep  7 2015 hguo@suse.com
- Display a warning if ipsec.conf or ipsec.secrets appear to have
  been manually manipulated.
* Fri Jul 17 2015 hguo@suse.com
- New package. Initial version, initial release.
  yast2-vpn: A module for creating VPN gateway and client connections
  to secure site-to-site communication via IPSec VPN.
